/***************************************************************************
*   Copyright (C) 2004 by Christoph Thielecke                             *
*   crissi99@gmx.de                                                       *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#include "profilemanager.h"
#include <qwidgetstack.h>

ProfileManager::ProfileManager( QPtrList<VpnAccountData> *AccountList, QTextEdit *LogOutput,int KvpncDebugLevel,  VpnAccountData *currentProfile, QWidget* parent, const char* name, bool modal, WFlags fl ) : ProfileManagerBase( parent, name, modal, fl ) {
	this->AccountList = AccountList;
	this->LogOutput = LogOutput;
	this->currentProfile = currentProfile;
	this->KvpncDebugLevel = KvpncDebugLevel;

	MyprofileWidget = new ProfileWidget( AccountList, LogOutput,KvpncDebugLevel, currentProfile );
	ProfileWidgetStack->addWidget(MyprofileWidget);
	ProfileWidgetStack->raiseWidget( MyprofileWidget);
}



ProfileManager::~ProfileManager() {}


